/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"pdb64.h"


void	change_endian_header64();
void	change_endian_file_header64();
void	change_endian_2d_draw_header64();
void	change_endian_lod_list_to_net64();
void	change_endian_tree_node_to_net64();
void	change_endian_lod_list_to_host64();
void	change_endian_tree_node_to_host64();
void	change_endian_polygon2d64();
void	change_endian_poly_point64();
void	change_endian_poly_end64();
void	change_endian_lno_poly_point64();

void (*change_endian_table_to_net64[])() = {
	change_endian_header64,
	change_endian_file_header64,
	change_endian_2d_draw_header64,
	change_endian_lod_list_to_net64,
	change_endian_tree_node_to_net64,
	change_endian_polygon2d64,
	change_endian_poly_point64,
	change_endian_poly_end64,
	change_endian_lno_poly_point64
};

void (*change_endian_table_to_host64[])() = {
	change_endian_header64,
	change_endian_file_header64,
	change_endian_2d_draw_header64,
	change_endian_lod_list_to_host64,
	change_endian_tree_node_to_host64,
	change_endian_polygon2d64,
	change_endian_poly_point64,
	change_endian_poly_end64,
	change_endian_lno_poly_point64
};

